Bug 28945 - default gateway causes IP failure
default gateway causes IP failure
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: routed (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-22 17:43 EST by Matthew Kilbride
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 17:43:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Kilbride 2001-02-22 17:43:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; 0.8) Gecko/20010215


I have two nics, one public, one private.  When GATEWAY is set in
/etc/sysconfig/network, default route is listed with 'route -n', but
network is unreachable.  When I remove the GATEWAY value, restart
networking, and manually run 'route add default gw x.x.x.x', I am able to
ping both networks successfully.  I am running on the 2.4.1 kernel.

Reproducible: Always
Steps to Reproduce:
1. set GATEWAY=ISP gateway in /etc/sysconfig/network
2. '/etc/rc.d/init.d/network restart'
3. ping www.anything.org   #ping fails
4. ping 10.1.1.4   #ping any public/private node/interface fails
5. comment GATEWAY=ISP_gateway in /etc/sysconfig/network
6. '/etc/rc.d/init.d/network restart'
7. 'route add default gw ISP_gateway
8. ping www.anything.org #ping any public/private node/interface succeeds
	

Actual Results:  with the failed pings, I get no results at all until I
<ctrl>-C, then I get either one or no received packet(s).  I don't even get
a "network unreachable' message during the ping.

Expected Results:  ping replys

I assume that this is not the fault of routed, however, and assume it has
to do with the scripts that have been developed to access
/etc/sysconfig/network, however, I have little experience with c or script
programming, and do not know what script/process is calling the file.  I am
not using X at all, and have made no changes through linuxconf, though I
have run it to see if there was something that I was missing.
Comment 1 Eido Inoue 2001-06-27 16:47:52 EDT
I was able to ping with both values of GATEWAY set as per your example.

Note You need to log in before you can comment on or make changes to this bug.